/*
 *  rimage.h
 *
 *  Copyright (C) 1998 Ullrich Hafner <hafner@bigfoot.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 */

/*
 *  $Date: 1999/04/13 16:57:46 $
 *  $Author: hafner $
 *  $Revision: 1.2 $
 *  $State: Exp $
 */

#ifndef _RIMAGE_H
#define _RIMAGE_H

#include "config.h"

#ifdef  PREVIEWS
#ifndef CONVERT

typedef enum gtype {HGRADIENT, VGRADIENT, DGRADIENT} gtype_e;

#include <gtk/gtk.h>
#include <wraster.h>
#include <proplist.h>

GtkWidget *
rimage_2_preview (RImage *image, GtkWidget *preview);
RImage *
rimage_load (const char *filename, int width, int height);
GtkWidget *
make_image (const char *filename, int width, int height, GtkWidget *preview);
GtkWidget *
make_gradient (proplist_t *array, unsigned width, unsigned height,
	       gtype_e type, GtkWidget *preview);
GtkWidget *
make_solid (const char *color, unsigned width, unsigned height,
	    GtkWidget *preview);
GtkWidget *
make_textured_gradient (const char *filename, proplist_t *array,
			unsigned width, unsigned height,
			gtype_e type, GtkWidget *preview);

#endif /* not CONVERT */
#endif /* PREVIEWS */

#endif /* not _RIMAGE_H */
