%define prefixpath /usr
%define DATAVER 0.53.0p2
%define VER     2.0
Name: wmakerconf
Version: %{VER}
Release: 1
Summary: This is a GTK-based configuration tool for Window Maker
Group: X11/Window Managers
Copyright: GPL
Packager: Ullrich Hafner <hafner@bigfoot.de>
Vendor: NOP
Source: ftp://sunshine.informatik.uni-wuerzburg.de/pub/wmaker/wmakerconf-%{VER}.tar.gz
Icon: wmakerconf.xpm
Requires: libProplist >= 0.8.3, WindowMaker >= 0.51.0, perl, gzip, lynx, wmakerconf-data >= 0.51.0
BuildRoot: /var/tmp/wmakerconf-root

%description
wmakerconf is a GTK+ based configuration tool for the window manager
Window Maker.

Support of all Window Maker attributes: Font selection browser, pixmap
preview browser, color selection dialog, shortcut dialog, file selection
dialog, ... 

Tooltips with short description of every attribute. 

New attributes can be simply integrated by changing the wmakerconf proplist

%package data
Version: %{DATAVER}
Summary: Data files for GTK-based configuration tool for Window Maker
Group: X11/Window Managers
Copyright: GPL
Packager: Ullrich Hafner <hafner@bigfoot.de>
Vendor: NOP
%description data
Data files containing information relating to the latest version of
WindowMaker for use by wmakerconf, the WindowMaker configuration
tool

%prep
%setup -q -a 1

%build
cd libPropList-%{PROPVER}
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{prefixpath}
make
cd ..
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefixpath} \
	--with-wmakerprefix=%{prefixpath} --disable-gtktest\
	--x-includes=libPropList-0.8.3 --x-libraries=libPropList-0.8.3
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip prefix=$RPM_BUILD_ROOT%{prefixpath}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ABOUT-NLS NLS-TEAM1 NEWS README TODO MANUAL
%{prefixpath}/bin/*
%{prefixpath}/share/wmakerconf/MANUAL
%{prefixpath}/share/wmakerconf/*.sh
%{prefixpath}/share/wmakerconf/*.pl
%{prefixpath}/share/wmakerconf/*.xpm
%{prefixpath}/share/wmakerconf/*.jpg
%{prefixpath}/share/locale/*/LC_MESSAGES/wmakerconf.*

%files data
%defattr(-,root,root)
%doc data/NLS-TEAM2 data/README
%{prefixpath}/share/wmakerconf/WMWmakerconf
%{prefixpath}/share/wmakerconf/wmaker-version
%{prefixpath}/share/locale/*/LC_MESSAGES/wmakerconf-data.*

%changelog
* Sun Mar 14 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.8
- removed data package
- new NLS structure

* Fri Feb 12 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.7

* Wed Jan 20 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.6

* Tue Dec 22 1998 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.5
- added prefix

* Thu Nov 19 1998 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.3
- updated data files for windowmaker 0.20.2 and above
- split into wmakerconf and wmakerconf-data package

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
